<template>
  <view class="flex items-center justify-center flex-col pt-80rpx">
    <image class="w-400rpx h-400rpx" :src="image"></image>
    <view class="mt-20rpx">请用户通过微信扫码进入小程序生成订单</view>
    <view class="grid grid-cols-2 gap-x-80rpx text-36rpx mt-120rpx">
      <view @click="toBack">门店管理</view>
      <view @click="toSwitchTab">个人中心</view>
    </view>
  </view>
</template>

<script>
export default {
  data() {
    return {
      id: '',
      image: '',
    };
  },
  onLoad(e) {
    this.id = e.id;
    this.getOrder()
  },
  methods: {
    getOrder() {
      uni.showLoading()
      this.$api.get(`/v1/order-pre/${this.id}`).then(res => {
        uni.hideLoading()
        this.image = res.qrcode
      })
    },
    toBack() {
      uni.navigateBack({
        delta: 4,
      });
    },
    toSwitchTab() {
      uni.switchTab({
        url: '/pages/me/me',
      });
    },
  },
};
</script>
<style>
page {
  background: #ffffff;
}
</style>
<style lang="scss">
</style>
